> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/accommodation/add-or-update-room-counts.md).

# Add or Update Room Counts

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=addOrUpdateRoomCountsCollection`

Add or update the dynamic inventory counts of venue rooms

#### Request Body

| Name    | Type    | Description                                                        |
| ------- | ------- | ------------------------------------------------------------------ |
| venueId | integer | The unique id of the venue to which the room belongs               |
| items   | array   | The array of items. See Item table below for individual item data. |

{% tabs %}
{% tab title="200 " %}

```
{
  "success": true
}
```

{% endtab %}
{% endtabs %}

NOTE: The dynamic data is only available to venues that integrate with a distribution channel.

### Examples

#### Setting the room count for a single date

```javascript
{
    "venueId": 1,
    "items": [
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-01",
            "roomId": 2,
            "roomCount": 11
        }
    ]
}
```

#### Setting the room count for a date range

```javascript
{
    "venueId": 1,
    "items": [
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 2,
            "roomCount": 11
        },
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 3,
            "roomCount": 21
        },
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 4,
            "roomCount": 16
        },
        {
            "startDate": "2020-05-11",
            "endDate": "2020-05-20",
            "roomId": 2,
            "roomCount": 11
        },
        {
            "startDate": "2020-05-11",
            "endDate": "2020-05-20",
            "roomId": 3,
            "roomCount": 21
        },
        {
            "startDate": "2020-05-11",
            "endDate": "2020-05-20",
            "roomId": 4,
            "roomCount": 16
        }
    ]
}
```

### Returns

| Property | Description                                           | Type    |
| -------- | ----------------------------------------------------- | ------- |
| success  | Whether or not the room inventory counts were updated | boolean |

### Item Details

| Property  | Type    | Required | Description                                                                  |
| --------- | ------- | -------- | ---------------------------------------------------------------------------- |
| roomId    | integer | required | The unique id of the room for which the inventory count will be set          |
| startDate | date    | required | The start date from which the room inventory count will be set (Date Format) |
| endDate   | date    | required | The end date from which the room inventory count will be set (Date Format)   |
| roomCount | integer | required | The inventory count of the room from startDate to endDate                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/venues/accommodation/add-or-update-room-counts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
